Create an organization SSO authentication test
curl --request POST \
--url http://api.den.local/v1/sso/test \
--header 'Authorization: Bearer <token>'import requests
url = "http://api.den.local/v1/sso/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('http://api.den.local/v1/sso/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"intentId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"testUrl": "<string>"
}{
"error": "sso_lifecycle_error",
"message": "<string>"
}SSO
Create an organization SSO authentication test
Creates a short-lived test bound to the current saved configuration and initiating administrator.
POST
/
v1
/
sso
/
test
Create an organization SSO authentication test
Authorizations
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Response
SSO test created
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Was this page helpful?